Author Topic: about overlapping lines clear ~  (Read 4341 times)

0 Members and 1 Guest are viewing this topic.

dussla

  • Bull Frog
  • Posts: 297
about overlapping lines clear ~
« on: November 27, 2007, 09:33:01 AM »
i got big dwg file
i found  many   overlapping lines . arcs ......
i would like to  remove  overlapping parts
i use autocad 2004   
i can't use overkill ~
can you help me again ?

always thank you  good help
always good day~

       

M-dub

  • Guest

Joe Burke

  • Guest
Re: about overlapping lines clear ~
« Reply #2 on: November 27, 2007, 10:47:51 AM »
Why not overkill?

hudster

  • Gator
  • Posts: 2848
Re: about overlapping lines clear ~
« Reply #3 on: November 27, 2007, 11:10:41 AM »
perhaps he has LT?
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue

FengK

  • Guest
Re: about overlapping lines clear ~
« Reply #4 on: November 27, 2007, 11:38:42 AM »
Why not overkill?
op said "overlapping lines . arcs ...... i would like to  remove overlapping parts". i guess those lines/arcs are not duplicates. maybe he/she should post a sample dwg.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: about overlapping lines clear ~
« Reply #5 on: November 27, 2007, 02:35:32 PM »
How would you remove the overlap?
Create a new object?
Split the deference?
Remove the overlap on one object only?

Would you ignore if on different layers?
Would you ignore if on locked layers?

Would you limit types to Lines & Arcs?
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

dussla

  • Bull Frog
  • Posts: 297
Re: about overlapping lines clear ~
« Reply #6 on: November 28, 2007, 07:47:51 AM »
thank you good advice
cab ~ always thank you  also


 0. all type ( lines  ,arcs , polylines)
 1. i would like to  Remove the overlap on one object only?
 2. i would like to be 2 options
           a.  current layer work only
           b.  all layer work

can you understand ~

Joe Burke

  • Guest
Re: about overlapping lines clear ~
« Reply #7 on: November 28, 2007, 08:35:07 AM »
Quote
op said "overlapping lines . arcs ...... i would like to  remove overlapping parts". i guess those lines/arcs are not duplicates. maybe he/she should post a sample dwg.

Kelie,

Overkill can do what the OP asked for with lines and arcs, assuming I understand the question in the first place.

Here's some rough code.

Code: [Select]
; Ignore group codes:
; 0   type
; 8   layer
; 6   linetype
; 62  color
; 370 lineweight
; 390 plotstyle

;; igonore layers
;; (acet-ss-remove-dups (ssget '((410 . "Model"))) 1e-6 '(8))

;; Takes single list of arguments:
;;  ss           - selection set
;;  fuz          - for numeric comparisons
;;  ignore       - (optional) list of group codes specifying which common group codes to 
;;                 ignore when comparing entities.
;;  no-plines    - (optional) flag - T means do NOT optimize segments within plines.
;;  no-partial   - (optional) flag - T means do NOT combine parallel segments
;;                 that partially overlap.
;;  no-endtoend  - (optional) flag - T means do NOT combine parallel segments
;;                 that are end to end.

;; The function also deletes duplicate objects.
;; As is it does not heal or delete duplicate objects on different layers.

(defun c:Heal ( / *error* doc ss s)

  (defun *error* (msg)
    (cond
      ((not msg))
      ((wcmatch (strcase msg) "*QUIT*,*CANCEL*"))
      (T (princ (strcat "\nError: " msg)))
    )
    (vla-EndUndoMark doc)
    (princ)
  ) ;end error

  (vl-load-com)
  (setq doc (vla-get-ActiveDocument (vlax-get-acad-object)))
  (vla-StartUndoMark doc)

  (if (not (load "overkill.lsp" nil))
    (progn
      (princ "\nCould not load Overkill. Exiting... ")
      (exit)
    )
  )

  (if
    (and
      (setq ss (ssget ":L"))
      ;; Selection set of deleted objects.
      (setq s (acet-overkill (list ss 1e-6 nil T nil nil)))
    )
    (princ (strcat "\nNumber of objects deleted: " (itoa (sslength s))))
  )
  (*error* nil)
) ;end

FengK

  • Guest
Re: about overlapping lines clear ~
« Reply #8 on: November 28, 2007, 12:02:51 PM »

Kelie,

Overkill can do what the OP asked for with lines and arcs, assuming I understand the question in the first place.


Joe, you're right. Even though i've used OVERKILL command quite a few times, never paid attention to all the checkboxes. Thanks.